models/Bitacora.php
<?php

namespace app\models;

use Yii;

/**
 * This is the model class for table "bitacora".
 *
 * @property string $entrada
 * @property string $fecha
 * @property string|null $descripcion
 */
class Bitacora extends \yii\db\ActiveRecord
{
    
    public $vista; // Atributo temporal para la vista
    
    
    
    
    /**
     * {@inheritdoc}
     */
    public static function tableName()
    {
        return 'bitacora';
    }

    /**
     * {@inheritdoc}
     */
    public function rules()
    {
        return [
            [['entrada'], 'required'],
            [['fecha'], 'safe'],
            [['descripcion'], 'string'],
            [['entrada'], 'string', 'max' => 20],
            [['entrada'], 'unique'],
        ];
    }

    /**
     * {@inheritdoc}
     */
    public function attributeLabels()
    {
        return [
            'entrada' => 'Entrada',
            'fecha' => 'Fecha',
            'descripcion' => 'Descripcion',
        ];
    }
    
    
    
    public static function findByMes($mes)
    {
        // Convierte el nombre del mes a su número correspondiente
        $mesNumero = date('m', strtotime($mes . ' 1 2024'));

        // Busca todas las entradas de cada mes sin importar el año
        return self::find()
            ->where(['MONTH(fecha)' => $mesNumero])
            ->all();
    }
    
    

    
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    



}

controllers/BitacoraController.php
<?php

namespace app\controllers;

use app\models\Bitacora;
use yii\data\ActiveDataProvider;
use yii\web\Controller;
use yii\web\NotFoundHttpException;
use yii\filters\VerbFilter;

/**
 * BitacoraController implements the CRUD actions for Bitacora model.
 */
class BitacoraController extends Controller
{
    /**
     * @inheritDoc
     */
    public function behaviors()
    {
        return array_merge(
            parent::behaviors(),
            [
                'verbs' => [
                    'class' => VerbFilter::className(),
                    'actions' => [
                        'delete' => ['POST'],
                    ],
                ],
            ]
        );
    }

    /**
     * Lists all Bitacora models.
     *
     * @return string
     */
    public function actionIndex()
    {
        $dataProvider = new ActiveDataProvider([
            'query' => Bitacora::find(),
            /*
            'pagination' => [
                'pageSize' => 50
            ],
            'sort' => [
                'defaultOrder' => [
                    'entrada' => SORT_DESC,
                ]
            ],
            */
        ]);

        return $this->render('index', [
            'dataProvider' => $dataProvider,
        ]);
    }
    
    
   
    

    /**
     * Displays a single Bitacora model.
     * @param string $entrada Entrada
     * @return string
     * @throws NotFoundHttpException if the model cannot be found
     */
    public function actionView($entrada)
    {
        return $this->render('view', [
            'model' => $this->findModel($entrada),
        ]);
    }

    /**
     * Creates a new Bitacora model.
     * If creation is successful, the browser will be redirected to the 'view' page.
     * @return string|\yii\web\Response
     */
    public function actionCreate()
    {
        $model = new Bitacora();

        if ($this->request->isPost) {
            if ($model->load($this->request->post()) && $model->save()) {
                return $this->redirect(['index', 'entrada' => $model->entrada]);
            }
        } else {
            $model->loadDefaultValues();
        }

        return $this->render('create', [
            'model' => $model,
        ]);
    }

    /**
     * Updates an existing Bitacora model.
     * If update is successful, the browser will be redirected to the 'view' page.
     * @param string $entrada Entrada
     * @return string|\yii\web\Response
     * @throws NotFoundHttpException if the model cannot be found
     */
    public function actionUpdate($entrada)
    {
        $model = $this->findModel($entrada);

        if ($this->request->isPost && $model->load($this->request->post()) && $model->save()) {
            return $this->redirect(['view', 'entrada' => $model->entrada]);
        }

        return $this->render('update', [
            'model' => $model,
        ]);
    }

    /**
     * Deletes an existing Bitacora model.
     * If deletion is successful, the browser will be redirected to the 'index' page.
     * @param string $entrada Entrada
     * @return \yii\web\Response
     * @throws NotFoundHttpException if the model cannot be found
     */
    public function actionDelete($entrada)
    {
        $this->findModel($entrada)->delete();

        return $this->redirect(['index']);
    }

    /**
     * Finds the Bitacora model based on its primary key value.
     * If the model is not found, a 404 HTTP exception will be thrown.
     * @param string $entrada Entrada
     * @return Bitacora the loaded model
     * @throws NotFoundHttpException if the model cannot be found
     */
    protected function findModel($entrada)
    {
        if (($model = Bitacora::findOne(['entrada' => $entrada])) !== null) {
            return $model;
        }

        throw new NotFoundHttpException('The requested page does not exist.');
    }
    
    
    
    
    
    /** EMPIEZAN CONSULTAS CALENDARIO*/
    
    public function actionDiasEnero() {
        $bitacoras = Bitacora::findByMes('January');
        return $this->render('dias_enero', ['bitacoras' => $bitacoras]);
    }
    
    public function actionDiasFebrero() {
        $bitacoras = Bitacora::findByMes('February');
        return $this->render('dias_febrero', ['bitacoras' => $bitacoras]);
    }
    
    public function actionDiasMarzo() {
        $bitacoras = Bitacora::findByMes('March');
        return $this->render('dias_marzo', ['bitacoras' => $bitacoras]);
    }
    
    public function actionDiasAbril() {
        $bitacoras = Bitacora::findByMes('April');
        return $this->render('dias_abril', ['bitacoras' => $bitacoras]);
    }
    
    public function actionDiasMayo() {
        $bitacoras = Bitacora::findByMes('May');
        return $this->render('dias_mayo', ['bitacoras' => $bitacoras]);
    }
    
    public function actionDiasJunio() {
        $bitacoras = Bitacora::findByMes('June');
        return $this->render('dias_junio', ['bitacoras' => $bitacoras]);
    }
    
    public function actionDiasJulio() {
        $bitacoras = Bitacora::findByMes('July');
        return $this->render('dias_julio', ['bitacoras' => $bitacoras]);
    }
    
    public function actionDiasAgosto() {
        $bitacoras = Bitacora::findByMes('August');
        return $this->render('dias_agosto', ['bitacoras' => $bitacoras]);
    }
    
    public function actionDiasSept() {
        $bitacoras = Bitacora::findByMes('September');
        return $this->render('dias_sept', ['bitacoras' => $bitacoras]);
    }
    
    public function actionDiasOct() {
        $bitacoras = Bitacora::findByMes('October');
        return $this->render('dias_oct', ['bitacoras' => $bitacoras]);
    }
    
    public function actionDiasNov() {
        $bitacoras = Bitacora::findByMes('November');
        return $this->render('dias_nov', ['bitacoras' => $bitacoras]);
    }
    
    public function actionDiasDic() {
        $bitacoras = Bitacora::findByMes('December');
        return $this->render('dias_dic', ['bitacoras' => $bitacoras]);
    }
    
    
    
    
    
    
    /**EMPIEZAN CONSULTAS DE VIEW OR CREATE*/
    
    
    
    
    
}

views/bitacora/_form.php
<?php

use yii\helpers\Html;
use yii\widgets\ActiveForm;

/** @var yii\web\View $this */
/** @var app\models\Bitacora $model */
/** @var yii\widgets\ActiveForm $form */
?>

<div class="bitacora-form">

    <?php $form = ActiveForm::begin(); ?>

    <?= $form->field($model, 'entrada')->textInput(['maxlength' => true]) ?>

    <?= $form->field($model, 'fecha')->input('datetime-local', ['class' => 'form-control', 'placeholder' => 'YYYY-MM-DDTHH:MM:SS']) ?>

    <?= $form->field($model, 'descripcion')->textarea(['rows' => 6]) ?>

    <div class="form-group">
        <?= Html::submitButton('Save', ['class' => 'btn btn-success']) ?>
    </div>

    <?php ActiveForm::end(); ?>

</div>

views/bitacora/create.php
<?php

use yii\helpers\Html;

/** @var yii\web\View $this */
/** @var app\models\Bitacora $model */

$this->title = 'Create Bitacora';
$this->params['breadcrumbs'][] = ['label' => 'Bitacoras', 'url' => ['index']];
$this->params['breadcrumbs'][] = $this->title;
?>
<div class="bitacora-create">

    <h1><?= Html::encode($this->title) ?></h1>

    <?= $this->render('_form', [
        'model' => $model,
    ]) ?>

</div>

views/bitacora/dias_dic.php
<?php
use yii\grid\GridView;
use yii\helpers\Html;
use app\models\Bitacora;
use yii\helpers\Url;
use yii\grid\ActionColumn;
?>

<style>
    
    .grid-view th {
        background-color: transparent; 
        
        color: #F5DF61; 
        border: 2px solid #aad399; 
        box-shadow: 0 0 5px #aad399; 
        padding: 10px 20px; 
        font-size: 16px; 
        font-weight: bold; 
        border-radius: 15px; 
        box-shadow: 0 0 10px rgba(0, 255, 0, 0.5); 
        
    }

    .grid-view td {
        background-color: transparent; 
        color: #aad399; 
        
        border: 1px solid #aad399; 
        box-shadow: 0 0 5px #aad399; 
        padding: 10px 20px; 
        font-size: 16px; 
        font-weight: bold; 
        border-radius: 15px; 
        box-shadow: 0 0 10px rgba(0, 255, 0, 0.5); 
        
    }
    
</style>




<div class="meses">
    <p>
        <?= Html::a('Crear Bitacora', ['create'], ['class' => 'btn btn-createBitacora']) ?>
    </p>

    <?= GridView::widget([
        'dataProvider' => new \yii\data\ArrayDataProvider([
            'allModels' => $bitacoras,
            'key' => 'entrada',
            'sort' => [
                'attributes' => ['fecha'],
                'defaultOrder' => [
                    'fecha' => SORT_ASC,
                ],
            ],
        ]),
        'columns' => [
            'entrada',
            'descripcion',
            [
                'attribute' => 'fecha',
                'format' => ['date', 'php:d-m-y H:i:s']
            ]
            
        ],
    ]); ?>
</div>

views/bitacora/dias_enero.php
<?php
use yii\grid\GridView;
use yii\helpers\Html;
use app\models\Bitacora;
use yii\helpers\Url;
use yii\grid\ActionColumn;
?>






<div class="meses">
    <p>
        <?= Html::a('Crear Bitacora', ['create'], ['class' => 'btn btn-createBitacora']) ?>
    </p>
    <style>
    .btn-createBitacora {
        /* tamaño del botón */
        padding: 10px 20px; 
        font-size: 1em; 
        border: none;
        border-radius: 20px;
        background-color: #AAD399;
        color: black; 
        display: inline-block;
        cursor: pointer;
        box-shadow: 0 4px #759e64; 
        transition-duration: 0.4s;
    }

    .btn-createBitacora:hover {
        background-color: #F5DF61;
        box-shadow: 0 4px #c9b649;
    }

    .btn-createBitacora:active {
        background-color: #3e8e41; 
        box-shadow: 0 2px #666; 
        transform: translateY(2px); 
    }

    </style>

    <?= GridView::widget([
        'dataProvider' => new \yii\data\ArrayDataProvider([
            'allModels' => $bitacoras,
            'key' => 'entrada',
            'sort' => [
                'attributes' => ['fecha'],
                'defaultOrder' => [
                    'fecha' => SORT_ASC,
                ],
            ],
        ]),
        'columns' => [
            'entrada',
            'descripcion',
            [
                'attribute' => 'fecha',
                'format' => ['date', 'php:d-m-y H:i:s']
            ]
            
        ],
    ]); ?>
</div>


<style>
    
    .grid-view th {
        background-color: transparent; 
        
        color: #F5DF61; 
        border: 2px solid #aad399; 
        box-shadow: 0 0 5px #aad399; 
        padding: 10px 20px; 
        font-size: 16px; 
        font-weight: bold; 
        border-radius: 15px; 
        box-shadow: 0 0 10px rgba(0, 255, 0, 0.5); 
        
    }

    .grid-view td {
        background-color: transparent; 
        color: #aad399; 
        
        border: 1px solid #aad399; 
        box-shadow: 0 0 5px #aad399; 
        padding: 10px 20px; 
        font-size: 16px; 
        font-weight: bold; 
        border-radius: 15px; 
        box-shadow: 0 0 10px rgba(0, 255, 0, 0.5); 
        
    }
    
</style>

views/bitacora/dias_febrero.php
<?php
use yii\grid\GridView;
use yii\helpers\Html;
use app\models\Bitacora;
use yii\helpers\Url;
use yii\grid\ActionColumn;
?>

<style>
    
    .grid-view th {
        background-color: transparent; 
        
        color: #F5DF61; 
        border: 2px solid #aad399; 
        box-shadow: 0 0 5px #aad399; 
        padding: 10px 20px; 
        font-size: 16px; 
        font-weight: bold; 
        border-radius: 15px; 
        box-shadow: 0 0 10px rgba(0, 255, 0, 0.5); 
        
    }

    .grid-view td {
        background-color: transparent; 
        color: #aad399; 
        
        border: 1px solid #aad399; 
        box-shadow: 0 0 5px #aad399; 
        padding: 10px 20px; 
        font-size: 16px; 
        font-weight: bold; 
        border-radius: 15px; 
        box-shadow: 0 0 10px rgba(0, 255, 0, 0.5); 
        
    }
    
</style>




<div class="meses">
    <p>
        <?= Html::a('Create Bitacora', ['create'], ['class' => 'btn btn-createBitacora']) ?>
    </p>
    
    <style>
    .btn .btn-createBitacora {
        /* tamaño del botón */
        padding: 10px 20px; 
        font-size: 1em; 
        border: none;
        border-radius: 20px;
        background-color: #AAD399;
        color: black; 
        display: inline-block;
        cursor: pointer;
        box-shadow: 0 4px #759e64; 
        transition-duration: 0.4s;
    }

    .btn .btn-createBitacora:hover {
        background-color: #F5DF61;
        box-shadow: 0 4px #c9b649;
    }

    .btn .btn-createBitacora:active {
        background-color: #3e8e41; 
        box-shadow: 0 2px #666; 
        transform: translateY(2px); 
    }
    </style>

    <?= GridView::widget([
        'dataProvider' => new \yii\data\ArrayDataProvider([
            'allModels' => $bitacoras,
            'key' => 'entrada',
            'sort' => [
                'attributes' => ['fecha'],
                'defaultOrder' => [
                    'fecha' => SORT_ASC,
                ],
            ],
        ]),
        'columns' => [
            'entrada',
            'descripcion',
            [
                'attribute' => 'fecha',
                'format' => ['date', 'php:d-m-y H:i:s']
            ]
            
        ],
    ]); ?>
</div>

views/bitacora/dias_junio.php
<?php
use yii\grid\GridView;
use yii\helpers\Html;
use app\models\Bitacora;
use yii\helpers\Url;
use yii\grid\ActionColumn;
?>

<style>
    
    .grid-view th {
        background-color: transparent; 
        
        color: #F5DF61; 
        border: 2px solid #aad399; 
        box-shadow: 0 0 5px #aad399; 
        padding: 10px 20px; 
        font-size: 16px; 
        font-weight: bold; 
        border-radius: 15px; 
        box-shadow: 0 0 10px rgba(0, 255, 0, 0.5); 
        
    }

    .grid-view td {
        background-color: transparent; 
        color: #aad399; 
        
        border: 1px solid #aad399; 
        box-shadow: 0 0 5px #aad399; 
        padding: 10px 20px; 
        font-size: 16px; 
        font-weight: bold; 
        border-radius: 15px; 
        box-shadow: 0 0 10px rgba(0, 255, 0, 0.5); 
        
    }
    
</style>




<div class="meses">
    <p>
        <?= Html::a('Create Bitacora', ['create'], ['class' => 'btn btn-createBitacora']) ?>
    </p>

    <?= GridView::widget([
        'dataProvider' => new \yii\data\ArrayDataProvider([
            'allModels' => $bitacoras,
            'key' => 'entrada',
            'sort' => [
                'attributes' => ['fecha'],
                'defaultOrder' => [
                    'fecha' => SORT_ASC,
                ],
            ],
        ]),
        'columns' => [
            'entrada',
            'descripcion',
            [
                'attribute' => 'fecha',
                'format' => ['date', 'php:d-m-y H:i:s']
            ]
            
        ],
    ]); ?>
</div>

views/bitacora/dias_marzo.php
<?php
use yii\grid\GridView;
use yii\helpers\Html;
use app\models\Bitacora;
use yii\helpers\Url;
use yii\grid\ActionColumn;
?>

<style>
    
    .grid-view th {
        background-color: transparent; 
        
        color: #F5DF61; 
        border: 2px solid #aad399; 
        box-shadow: 0 0 5px #aad399; 
        padding: 10px 20px; 
        font-size: 16px; 
        font-weight: bold; 
        border-radius: 15px; 
        box-shadow: 0 0 10px rgba(0, 255, 0, 0.5); 
        
    }

    .grid-view td {
        background-color: transparent; 
        color: #aad399; 
        
        border: 1px solid #aad399; 
        box-shadow: 0 0 5px #aad399; 
        padding: 10px 20px; 
        font-size: 16px; 
        font-weight: bold; 
        border-radius: 15px; 
        box-shadow: 0 0 10px rgba(0, 255, 0, 0.5); 
        
    }
    
</style>




<div class="meses">
    <p>
        <?= Html::a('Create Bitacora', ['create'], ['class' => 'btn btn-createBitacora']) ?>
    </p>

    <?= GridView::widget([
        'dataProvider' => new \yii\data\ArrayDataProvider([
            'allModels' => $bitacoras,
            'key' => 'entrada',
            'sort' => [
                'attributes' => ['fecha'],
                'defaultOrder' => [
                    'fecha' => SORT_ASC,
                ],
            ],
        ]),
        'columns' => [
            'entrada',
            'descripcion',
            [
                'attribute' => 'fecha',
                'format' => ['date', 'php:d-m-y H:i:s']
            ]
            
        ],
    ]); ?>
</div>

views/bitacora/dias_mayo.php
<?php
use yii\grid\GridView;
use yii\helpers\Html;
use app\models\Bitacora;
use yii\helpers\Url;
use yii\grid\ActionColumn;
?>

<style>
    
    .grid-view th {
        background-color: transparent; 
        
        color: #F5DF61; 
        border: 2px solid #aad399; 
        box-shadow: 0 0 5px #aad399; 
        padding: 10px 20px; 
        font-size: 16px; 
        font-weight: bold; 
        border-radius: 15px; 
        box-shadow: 0 0 10px rgba(0, 255, 0, 0.5); 
        
    }

    .grid-view td {
        background-color: transparent; 
        color: #aad399; 
        
        border: 1px solid #aad399; 
        box-shadow: 0 0 5px #aad399; 
        padding: 10px 20px; 
        font-size: 16px; 
        font-weight: bold; 
        border-radius: 15px; 
        box-shadow: 0 0 10px rgba(0, 255, 0, 0.5); 
        
    }
    
</style>




<div class="meses">
    <p>
        <?= Html::a('Create Bitacora', ['create'], ['class' => 'btn btn-createBitacora']) ?>
    </p>

    <?= GridView::widget([
        'dataProvider' => new \yii\data\ArrayDataProvider([
            'allModels' => $bitacoras,
            'key' => 'entrada',
            'sort' => [
                'attributes' => ['fecha'],
                'defaultOrder' => [
                    'fecha' => SORT_ASC,
                ],
            ],
        ]),
        'columns' => [
            'entrada',
            'descripcion',
            [
                'attribute' => 'fecha',
                'format' => ['date', 'php:d-m-y H:i:s']
            ]
            
        ],
    ]); ?>
</div>

views/bitacora/editEn.php
use yii\helpers\Html;
use yii\widgets\ActiveForm;

/* @var $this yii\web\View */
/* @var $model app\models\Bitacora */

$this->title = 'Editar Bitácora: ' . $model->entrada;
?>

<div class="bitacora-editEn">
    <h1><?= Html::encode($this->title) ?></h1>

    <div class="bitacora-form">
        <?php $form = ActiveForm::begin(); ?>

        <?= $form->field($model, 'descripcion')->textarea(['rows' => 6]) ?>

        <div class="form-group">
            <?= Html::submitButton('Guardar', ['class' => 'btn btn-success']) ?>
        </div>

        <?php ActiveForm::end(); ?>
    </div>
</div>

views/bitacora/index.php
<?php

use app\models\Bitacora;
use yii\helpers\Html;
use yii\helpers\Url;
use yii\grid\ActionColumn;
use yii\grid\GridView;


/** @var yii\web\View $this */
/** @var yii\data\ActiveDataProvider $dataProvider */

$this->title = 'Bitacoras';

?>



    <div class="container mt-5">
        <div class="bi-exp">
            <img src="<?= Yii::getAlias('@web') ?>/img/Slider-Bi.jpg" alt="Imagen" width="60px"  class="bi-fondo">
            <h2 class="titulo-bi">Bitácora</h2>
        </div>
    </div>

    <style>
        .bi-exp {
            position: relative;
            border: 3px solid #AAD399;
            padding: 20px;
            color: #AAD399;
            box-shadow: 0 0 20px rgba(0, 255, 204, 0.5);
            text-shadow: 0 0 5px #AAD399;
            margin-bottom: 50px;
        }
        .bi-fondo {
            position: absolute;
            top: 0;
            left: 0;
            width: 100%;
            height: 100%;
            object-fit: cover;
            z-index: -1;
        }
        .titulo-bi {
            color: #F5DF61;
            text-shadow: 0 0 10px #F5DF61;
            position: relative;
            z-index: 1;
            
        
        }
    </style>


<div class="bitacora-title" style="color: #AAD399;">
    <h3>Meses</h3>
</div>



<div class="bitacora-index">
    <div class="card">
        <div class="card-header">
            Enero
        </div>
        <div class="card-body">
            <?= \yii\helpers\Html::a('Ver Días', ['bitacora/dias-enero'], ['class' => 'btn btn-primary']) ?>
        </div>
    </div>
    
    
    <div class="card">
        <div class="card-header">
            Febrero
        </div>
        <div class="card-body">
            <?= \yii\helpers\Html::a('Ver Días', ['bitacora/dias-febrero'], ['class' => 'btn btn-primary']) ?>
        </div>
    </div>
    
    
    <div class="card">
        <div class="card-header">
            Marzo
        </div>
        <div class="card-body">
            <?= \yii\helpers\Html::a('Ver Días', ['bitacora/dias-marzo'], ['class' => 'btn btn-primary']) ?>
        </div>
    </div>
    
    
    <div class="card">
        <div class="card-header">
            Abril
        </div>
        <div class="card-body">
            <?= \yii\helpers\Html::a('Ver Días', ['bitacora/dias-abril'], ['class' => 'btn btn-primary']) ?>
        </div>
    </div>
    
    
    <div class="card">
        <div class="card-header">
            Mayo
        </div>
        <div class="card-body">
            <?= \yii\helpers\Html::a('Ver Días', ['bitacora/dias-mayo'], ['class' => 'btn btn-primary']) ?>
        </div>
    </div><!-- comment -->
    
    
    <div class="card">
        <div class="card-header">
            Junio
        </div>
        <div class="card-body">
            <?= \yii\helpers\Html::a('Ver Días', ['bitacora/dias-junio'], ['class' => 'btn btn-primary']) ?>
        </div>
    </div>
    
    
    <div class="card">
        <div class="card-header">
            Julio
        </div>
        <div class="card-body">
            <?= \yii\helpers\Html::a('Ver Días', ['bitacora/dias-julio'], ['class' => 'btn btn-primary']) ?>
        </div>
    </div>
    
    
    <div class="card">
        <div class="card-header">
            Agosto
        </div>
        <div class="card-body">
            <?= \yii\helpers\Html::a('Ver Días', ['bitacora/dias-agosto'], ['class' => 'btn btn-primary']) ?>
        </div>
    </div><!-- comment -->
    
    
    <div class="card">
        <div class="card-header">
            Septiembre
        </div>
        <div class="card-body">
            <?= \yii\helpers\Html::a('Ver Días', ['bitacora/dias-sept'], ['class' => 'btn btn-primary']) ?>
        </div>
    </div>
    
    
    <div class="card">
        <div class="card-header">
            Octubre
        </div>
        <div class="card-body">
            <?= \yii\helpers\Html::a('Ver Días', ['bitacora/dias-oct'], ['class' => 'btn btn-primary']) ?>
        </div>
    </div>
    
    
    <div class="card">
        <div class="card-header">
            Noviembre
        </div>
        <div class="card-body">
            <?= \yii\helpers\Html::a('Ver Días', ['bitacora/dias-nov'], ['class' => 'btn btn-primary']) ?>
        </div>
    </div><!-- comment -->
    
    
    <div class="card">
        <div class="card-header">
            Diciembre
        </div>
        <div class="card-body">
            <?= \yii\helpers\Html::a('Ver Días', ['bitacora/dias-dic'], ['class' => 'btn btn-primary']) ?>
        </div>
    </div>
    
    
    
    <style>
        .btn.btn-primary {
        
            padding: 10px 20px; 
            font-size: 1em; 
            border: none;
            border-radius: 20px;
            background-color: #AAD399;
            color: black; 
            display: inline-block;
            cursor: pointer;
            box-shadow: 0 4px #759e64; 
            transition-duration: 0.4s;
        }

        .btn.btn-primary:hover {
            background-color: #F5DF61;
            box-shadow: 0 4px #c9b649;
        }

        .btn.btn-primary:active {
            background-color: #3e8e41; 
            box-shadow: 0 2px #666; 
            transform: translateY(2px); 
        }
        
        .btn-fijo {
            background-color: transparent; 
            color: white; 
            border: 2px solid #aad399; 
            font-size: 16px; 
            border-radius: 15px; 
            position: fixed;
            bottom: 50px;
            right: 30px;
            z-index: 100;
            padding: 20px 40px; 
            text-transform: uppercase;
            font-weight: bold;
            cursor: pointer;
            transition: transform 0.2s ease-in-out;
            box-shadow: 0 0 10px rgba(0, 255, 0, 0.5);     
        }


        .btn-fijo-site:hover {
            transform: scale(1.1);
        }
    </style>
    
    
   
    
    
    
    
    
    
    
    
    
    
    
<!-- BOTON MASCOTA -->
<?= Html::a('?', [''], ['class' => 'btn  btn-fijo', 'id' => 'boton-toggle']) ?>



<!-- CONTENEDOR MASCOTA -->
<div id="imagen-container" style="display: none; position: fixed; bottom: 100px; right: 30px; z-index: 101;">
    <img class="d-block w-1" src="<?= Yii::getAlias('@web')?>/img/ATH/ATH_BI.png" style="width: 500px; height: auto;">
</div>




<!-- JS MANEJAR MASCOTA -->
<script>
document.getElementById('boton-toggle').addEventListener('click', function(event) {
    // Previene el comportamiento por defecto del enlace
    event.preventDefault();
    
    var boton = this;
    var imagenContainer = document.getElementById('imagen-container');
    
    // Verifica si la imagen ya está visible
    if (imagenContainer.style.display === 'none') {
        // Muestra la imagen
        imagenContainer.style.display = 'block';
        
        // Cambia la apariencia del botón a 'X'
        boton.innerHTML = 'X';
    } else {
        // Oculta la imagen
        imagenContainer.style.display = 'none';
        
        // Restablece la apariencia del botón a '?'
        boton.innerHTML = '?';
    }
});
</script>
    
</div>